Page MenuHomeFreeBSD

new port: sysutils/u-boot-rpi3-32, u-boot for the RPi3 running in 32 bit mode
ClosedPublic

Authored by brd on Sep 11 2019, 7:29 AM.

Details

Summary

This is handy for 32 bit builds to use the Camera

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brd created this revision.Sep 11 2019, 7:29 AM
linimon retitled this revision from Add a u-boot for the RPi3 running in 32 bit mode to new port: sysutils/u-boot-rpi3-32, u-boot for the RPi3 running in 32 bit mode.Sep 12 2019, 1:39 AM
brd updated this revision to Diff 61968.Sep 12 2019, 8:33 AM

Opps, forgot to corresponding changes to sysutils/u-boot-rpi3

Use flavours to provide 32bit support?

brd edited reviewers, added: mat; removed: matthew.Sep 20 2019, 8:12 AM

@mat Can you tell me what you think of this Makefile?

imp accepted this revision.Sep 20 2019, 8:27 AM

This looks good to me.

We may want to revisit flavors as a separate thing. They weren't available when the u-boot ports work started, so we went in a different direction than flavors later went. These changes are largely in keeping with that.

This revision is now accepted and ready to land.Sep 20 2019, 8:27 AM
manu accepted this revision.Sep 20 2019, 2:13 PM

LGTM

This revision was automatically updated to reflect the committed changes.